@echo off

REM ##### 引数取得 #####
set TMP_DIR=%~1
set SRC_DIR=%~2
set JBOSS_HOME=%~3
set BUILD_XML=%4
set ANT_ARGS=%~5

REM ##### 初期処理 #####
if NOT "%TMP_DIR:~-1%" == "\" (
	set TMP_DIR=%TMP_DIR%\
)
if NOT "%SRC_DIR:~-1%" == "\" (
	set SRC_DIR=%SRC_DIR%\
)

REM ##### インストール #####
copy /b /y "%SRC_DIR%%BUILD_XML%" "%TMP_DIR%"
cd "%TMP_DIR%"
call ant -DjbossHome="%JBOSS_HOME%" %ANT_ARGS% -f "%BUILD_XML%"
